SICONOS_VVIEW(1)

NAME
siconos_vview - Viewer for Siconos mechanics-IO HDF5 files based on VTK.

SYNOPSIS
siconos_vview [OPTION]... <HDF5>

DESCRIPTION
Description: Viewer and exporter for Siconos mechanics-IO HDF5 files based on VTK.

OPTIONS

--help

    display this message

--version

    display version information

--tmin= value

    set the time lower bound for visualization

--tmax= value

    set the time upper bound for visualization

--cf-scale= value
    (default : 1.0 )

    rescale the arrow representing the contact forces by the value. the normal cone and the contact points are also rescaled

--no-cf

    do not display contact forces

--imr

    immediate-mode-rendering, use less memory at the price of slower rendering

--global-filter (default : off)

    With export mode, concatenates all blocks in a big vtkPolyData. This option is for when the number of objects is huge. With vview, the display is done with only one vtk actor. Note that global-filter use a vtkCompositeDataGeometryFilter which is slow.

--no-depth-peeling (default : on)

    do not use vtk depth peeling

--maximum-number-of-peels= value

    maximum number of peels when depth peeling is on

--occlusion-ratio= value

    occlusion-ratio when depth peeling is on

--normalcone-ratio = value
    (default : 1.0 )

    introduce a ratio between the representation of the contact forces arrows the normal cone and the contact points. useful when the contact forces are small with respect to the characteristic dimesion

--advance= value or 'fps'

    automatically advance time during recording (default : don't advance)

--fps= value

    frames per second of generated video (default 25)

--camera=x,y,z

    initial position of the camera (default=above looking down)

--lookat=x,y,z

    initial direction to look (default=center of bounding box)

--up=x,y,z

    initial up direction of the camera (default=y-axis)

--ortho=scale

    start in ortho mode with given parallel scale (default=perspective)

--with-charts=value

    display convergence charts

--visible=all

    all: view all contactors and avatars avatars: view only avatar if an avatar is defined (for each object) contactors: ignore avatars, view only contactors where avatars are contactors with collision_group=-1

--with-edges

    add edges in the rendering (experimental for primitives)

--with-fixed-color

    use fixed color defined in the config file

--depth-2d=<value>

    specify a depth for 2D objects

--verbose=<int verbose_level>

SEE ALSO
The Siconos Software Documentation

http://siconos.gforge.inria.fr